Last modified: 2012-09-27 01:11:03 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28438 - in IE9 p-personal links are shown vertically in RTL wikis with Vector
in IE9 p-personal links are shown vertically in RTL wikis with Vector
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All Windows Vista
: Normal major (vote)
: ---
Assigned To: Ryan Kaldari
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-04-06 11:43 UTC by Amir E. Aharoni
Modified: 2012-09-27 01:11 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
a screenshot showing wrong rendering of p-personal links in IE9 (104.74 KB, image/png)
2011-04-06 11:45 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2011-04-06 11:43:38 UTC
Logged in users see the personal links at the top - My talk, My preferences, My watchlist (id="p-personal") - vertically rather than horizontally. Some links are also non-clickable, because they appear behind the search box.

I tested this with a new account on he.wikipedia, ar.wikipedia, fa.wikipedia and mzn.wikipedia, and it happened everywhere, so it's probably not caused by a local customization.

This happens only in Vector; Monobook is OK. And this happens only in Internet Explorer 9; IE8, Firefox, Opera and Chrome are OK.
Comment 1 Amir E. Aharoni 2011-04-06 11:45:36 UTC
Created attachment 8380 [details]
a screenshot showing wrong rendering of p-personal links in IE9

Attached a screenshot from http://he.wikipedia.org/wiki/File:Ie9-whbwiki.png .
Comment 2 Ryan Kaldari 2011-04-19 01:17:24 UTC
Strangely if you remove dir="rtl" from the <html> tag or change it to "ltr" it fixes this problem, and the rest of the page still looks the same (right to left). Might be a bug with IE9's rtl handling.
Comment 3 Ryan Kaldari 2011-04-19 01:49:36 UTC
Also, changing...
#p-personal { padding-left: 10em; }
...to...
#p-personal { margin-left: 10em; }
seems to fix the problem with no adverse effects.
Comment 4 Ryan Kaldari 2011-04-19 02:19:32 UTC
although the fix in Comment 3 breaks it in IE6 :(
Comment 5 Trevor Parscal 2011-04-19 22:33:43 UTC
(In reply to comment #4)
> although the fix in Comment 3 breaks it in IE6 :(

We can use a CSS hack to hide it from IE6

/* OVERRIDDEN IN IE6 */
#p-personal {
    margin-left: 10em;
}
/* APPLIED IN IE6 ONLY */
* html #p-personal {
    margin-left: 0;
    padding-left: 10em;
}

This hack in particular exploits IE 6 and below considering the window to be a parent of HTML, whereas everyone else knows that's just silly and ignores the rule.
Comment 6 Ryan Kaldari 2011-04-20 01:43:22 UTC
Looks like moving the padding from #p-personal to the ul inside #p-personal fixes it (without any hacks even!). Fixed in r86450.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links